# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "biscuit-actix-middleware"
version = "0.3.0-alpha.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Biscuit middleware for actix-web."
documentation = "https://docs.rs/biscuit-actix-middleware/"
readme = "README.md"
keywords = [
    "http",
    "actix-web",
    "biscuit",
    "token",
    "authorization",
]
categories = [
    "asynchronous",
    "web-programming",
]
license = "Apache-2.0"
repository = "https://github.com/biscuit-auth/biscuit-actix-middleware"

[lib]
name = "biscuit_actix_middleware"
path = "src/lib.rs"

[[example]]
name = "configuration"
path = "examples/configuration.rs"

[[example]]
name = "readme"
path = "examples/readme.rs"

[dependencies.actix-web]
version = "4.3.1"
features = ["macros"]
default-features = false

[dependencies.actix-web-httpauth]
version = "0.8.0"

[dependencies.biscuit-auth]
version = "6.0.0-beta.3"
features = ["datalog-macro"]
default-features = false

[dependencies.derive_more]
version = "2.0.1"
features = ["display"]
default-features = false

[dependencies.futures-util]
version = "0.3.28"
default-features = false

[dependencies.time]
version = "0.3.20"
default-features = false

[dependencies.tracing]
version = "0.1.37"
optional = true
default-features = false

[dev-dependencies.biscuit-auth]
version = "6.0.0-beta.3"
features = ["datalog-macro"]
default-features = false

[dev-dependencies.tracing-actix-web]
version = "0.7.3"

[dev-dependencies.tracing-subscriber]
version = "0.3.16"
features = ["env-filter"]
